          nam       Kermit68K
          ttl       Character strings module

*         Kermit68K: source file K68STR
*
* Author: Roberto Bagnara (Bagnara@Iboinfn.Bitnet),
* Bologna University, Physics Department, July 1987.
*
* All rights reserved to Bologna University, Italy.
*
* Permission is granted to any individual or institution
* to use, copy, or redistribute this software so long as
* it  is not  sold for  profit, provided  this copyright
* notice is retained.
*
* Modification History:
*
* Version  Date    Who              Comments
*
* 1.0.00   870701  Roberto Bagnara  First official release

          use       DefsFile

Edition   equ       0
          psect     K68Strings,0,0,Edition,0,0

*** Strings from the K68SystemPart module ***

ConLinNm: DC.B      "/Term",Asc_Nul         Console line name
DefLinNm: DC.B      "/T1",Asc_Nul           Default line name for connect
DefPrmpt: DC.B      "Kermit68K> ",Asc_Nul   Default prompt string
InitFile: DC.B      "Kermit.ini",Asc_Nul    Init file name

*** Strings from the K68Commands module ***

StLnFStr: DC.B      "You must 'set line' before issuing this command"
          DC.B      Asc_CR,Asc_LF,Asc_Nul

NoCopStr: DC.B      "Can't copy file(s)",Asc_Nul
NoCWDStr: DC.B      "Can't change working directory",Asc_Nul
NoDelStr: DC.B      "Can't delete file(s)",Asc_Nul
NoDirStr: DC.B      "Can't list directory",Asc_Nul
NoPriStr: DC.B      "Can't print file(s)",Asc_Nul
NoRenStr: DC.B      "Can't rename file(s)",Asc_Nul
NoSpaStr: DC.B      "Can't show disk usage",Asc_Nul
NoTypStr: DC.B      "Can't type file(s)",Asc_Nul
NoSyCStr: DC.B      "Can't forward command to system",Asc_Nul

TFNDpStr: DC.B      "?Take files nested too deeply",Asc_Nul
MsFSpStr: DC.B      "?Missing file specification",Asc_Nul

KerCmStr: DC.B      Asc_LF,"Kermit68K commands:"
          DC.B      Asc_CR,Asc_LF,Asc_LF,Asc_Nul
MacCmStr: DC.B      Asc_LF,"User defined macros:"
          DC.B      Asc_CR,Asc_LF,Asc_LF,Asc_Nul
NoMacStr: DC.B      Asc_LF,"There are no user defined macros."
          DC.B      Asc_CR,Asc_LF,Asc_LF,Asc_Nul

MNstAStr: DC.B      "?Can't nest macro definitions",Asc_Nul
MsMcNStr: DC.B      "?Missing macro name",Asc_Nul
UnkMcStr: DC.B      "?Unknown macro",Asc_Nul

ConnStr1: DC.B      Asc_CR,Asc_LF
          DC.B      "Connecting thru ",Asc_Nul
ConnStr2: DC.B      Asc_CR,Asc_LF
          DC.B      "Connected thru ",Asc_Nul
ConnStr3: DC.B      ", speed ",Asc_Nul
ConnStr5: DC.B      Asc_CR,Asc_LF
          DC.B      "The escape character is ",Asc_Nul
ConnStr6: DC.B      ")",Asc_CR,Asc_LF
          DC.B      "Type the escape character followed by C to get"
          DC.B      Asc_CR,Asc_LF
          DC.B      "back, or followed by ? to see other options."
          DC.B      Asc_CR,Asc_LF,Asc_LF,Asc_Nul
ConnStr7: DC.B      Asc_CR,Asc_LF,Asc_LF
          DC.B      "Kermit68K disconnected."
          DC.B      Asc_CR,Asc_LF,Asc_Nul
ConnStr8: DC.B      Asc_CR,Asc_LF,Asc_LF
          DC.B      "C to close the connection, or:"
          DC.B      Asc_CR,Asc_LF
          DC.B      "  0 (zero) to send a NULL"
          DC.B      Asc_CR,Asc_LF
          DC.B      "  B to send a BREAK"
          DC.B      Asc_CR,Asc_LF
          DC.B      "  H to hangup and close connection"
          DC.B      Asc_CR,Asc_LF
          DC.B      "  S for status"
          DC.B      Asc_CR,Asc_LF
          DC.B      "  ? for help"
          DC.B      Asc_CR,Asc_LF
          DC.B      " escape character twice to send the escape character."
          DC.B      Asc_CR,Asc_LF,Asc_LF,Asc_Nul

StatStr1: DC.B      "Statistics                Transaction       Total"
          DC.B      Asc_CR,Asc_LF
          DC.B      " Characters sent         ",Asc_Nul
StatStr2: DC.B      " Data characters sent    ",Asc_Nul
StatStr3: DC.B      " NAKs received           ",Asc_Nul
StatStr4: DC.B      " Packets sent            ",Asc_Nul
StatStr5: DC.B      " Characters received     ",Asc_Nul
StatStr6: DC.B      " Data characters received",Asc_Nul
StatStr7: DC.B      " NAKs sent               ",Asc_Nul
StatStr8: DC.B      " Packets received        ",Asc_Nul

*** Strings from the K68Commands2 module ***

OpLnEStr: DC.B      "Can't open line",Asc_Nul
UnsBRStr: DC.B      "?Unsupported baud rate",Asc_Nul
SetCtStr: DC.B      "?Not in ASCII control range",Asc_Nul

*** Strings from the K68Commands3 module ***

Rm1FOStr: DC.B      "?A file specification is required"
          DC.B      Asc_CR,Asc_LF,Asc_Nul
Rm2FOStr: DC.B      "?Two file specifications are required"
          DC.B      Asc_CR,Asc_LF,Asc_Nul

VersStr:  DC.B      Asc_CR,Asc_LF
          DC.B      "Kermit68K version 1.0.00 from 01 July 1987"
          DC.B      Asc_CR,Asc_LF,Asc_LF
          DC.B      Asc_Nul

ShVerStr: DC.B      "Warning, this is a preliminary version, for any"
          DC.B      Asc_CR,Asc_LF
          DC.B      "problem or suggestion please contact the author:"
          DC.B      Asc_CR,Asc_LF,Asc_LF
          DC.B      "Roberto Bagnara        Bitnet address Bagnara@Iboinfn"
          DC.B      Asc_CR,Asc_LF
          DC.B      "Physics Department     DECnet address 39937::BAGNARA"
          DC.B      Asc_CR,Asc_LF
          DC.B      "Bologna University"
          DC.B      Asc_CR,Asc_LF,Asc_LF
          DC.B      "OS-9/68000 Modifications by:"
          DC.B      Asc_CR,Asc_LF
          DC.B      "Steve Williams         Arpanet address "
          DC.B      "stevew@sally.utexas.edu"
          DC.B      Asc_CR,Asc_LF,Asc_LF,Asc_Nul

ShPStr1:  DC.B      Asc_CR,Asc_LF
          DC.B      "Communications Parameters:"
          DC.B      Asc_CR,Asc_LF
          DC.B      " Line: ",Asc_Nul
ShPStr2:  DC.B      ", speed: ",Asc_Nul
ShPStr3:  DC.B      "unknown",Asc_Nul
ShPStr4:  DC.B      ", mode: ",Asc_Nul
ShPStr5:  DC.B      "local",Asc_Nul
ShPStr6:  DC.B      "remote",Asc_Nul
ShPStr7:  DC.B      Asc_CR,Asc_LF
          DC.B      " Parity: ",Asc_Nul
ShPStr8:  DC.B      "even",Asc_Nul
ShPStr9:  DC.B      "odd",Asc_Nul
ShPStr10: DC.B      "mark",Asc_Nul
ShPStr11: DC.B      "space",Asc_Nul
ShPStr12: DC.B      "none",Asc_Nul
ShPStr13: DC.B      ", duplex: ",Asc_Nul
ShPStr14: DC.B      "half, ",Asc_Nul
ShPStr15: DC.B      "full, ",Asc_Nul
ShPStr16: DC.B      "flow: ",Asc_Nul
ShPStr17: DC.B      "xon/xoff",Asc_Nul
ShPStr18: DC.B      ", handshake: ",Asc_Nul
ShPStr19: DC.B      Asc_CR,Asc_LF,Asc_LF
          DC.B      "Protocol Parameters:   Send    Receive",Asc_Nul
ShPStr20: DC.B      "    (* = override)",Asc_Nul
ShPStr21: DC.B      Asc_CR,Asc_LF," Timeout:      ",Asc_Nul
ShPStr22: DC.B      Asc_CR,Asc_LF," Padding:      ",Asc_Nul
ShPStr23: DC.B      Asc_CR,Asc_LF," Pad Character:",Asc_Nul
ShPStr24: DC.B      Asc_CR,Asc_LF," Packet Start: ",Asc_Nul
ShPStr25: DC.B      Asc_CR,Asc_LF," Packet End:   ",Asc_Nul
ShPStr26: DC.B      Asc_CR,Asc_LF," Packet Length:",Asc_Nul
ShPStr27: DC.B      Asc_CR,Asc_LF
          DC.B      Asc_CR,Asc_LF,"Block Check Type: ",Asc_Nul
ShPStr28: DC.B      ", Delay: ",Asc_Nul
ShPStr29: DC.B      Asc_CR,Asc_LF
          DC.B      "Retry Limits: Initial ",Asc_Nul
ShPStr30: DC.B      ", Normal ",Asc_Nul
ShPStr31: DC.B      Asc_CR,Asc_LF,"8th-Bit Prefix:      ",Asc_Nul
ShPStr32: DC.B      Asc_CR,Asc_LF,"Repeat-Count Prefix: ",Asc_Nul
ShPStr33: DC.B      Asc_CR,Asc_LF,Asc_LF
          DC.B      "File parameters:",Asc_CR,Asc_LF
          DC.B      " File Names:   ",Asc_Nul
ShPStr34: DC.B      "converted",Asc_Nul
ShPStr35: DC.B      "literal",Asc_Nul
ShPStr36: DC.B      Asc_CR,Asc_LF," File Type:    ",Asc_Nul
ShPStr37: DC.B      "binary",Asc_Nul
ShPStr38: DC.B      "text",Asc_Nul
ShPStr39: DC.B      Asc_CR,Asc_LF," File Warning: ",Asc_Nul
ShPStr40: DC.B      "on",Asc_Nul
ShPStr41: DC.B      "off",Asc_Nul
ShPStr42: DC.B      Asc_CR,Asc_LF," File Display: ",Asc_Nul
ShPStr43: DC.B      Asc_CR,Asc_LF,"Incomplete File Disposition: ",Asc_Nul
ShPStr44: DC.B      "keep",Asc_Nul
ShPStr45: DC.B      "discard",Asc_Nul
ShPStr46: DC.B      ", Init file: ",Asc_Nul
ShPStr47: DC.B      "   Packet Log:       ",Asc_Nul

*** Strings from the K68Commands4 module ***

LBReqStr: DC.B      "?-l and -b required",Asc_CR,Asc_LF,Asc_Nul
ABadUStr: DC.B      "?-a without -s, -r, or -g"
CnfAcStr: DC.B      "?Conflicting commands",Asc_CR,Asc_LF,Asc_Nul
MsFlNStr: DC.B      "?Missing file name",Asc_CR,Asc_LF,Asc_Nul
MisLNStr: DC.B      "?Communication line device name missing"
          DC.B      Asc_CR,Asc_LF,Asc_Nul
UnOpLStr: DC.B      "?Unable to open the requested line"
          DC.B      Asc_CR,Asc_LF,Asc_Nul
InvABStr: DC.B      "?Invalid argument bundling",Asc_CR,Asc_LF,Asc_Nul
InvArStr: DC.B      "?Invalid argument, type 'kermit -h' for help"
          DC.B      Asc_CR,Asc_LF,Asc_Nul

UsageStr: DC.B      Asc_CR,Asc_LF
          DC.B      "  Usage: kermit [-x arg [-x arg]...[-yyy]...]]"
          DC.B      Asc_CR,Asc_LF
          DC.B      "   x is an option that requires an argument,"
          DC.B      " y an option with no argument:"
          DC.B      Asc_CR,Asc_LF
          DC.B      "     commands (* options also require -l and -b) --"
          DC.B      Asc_CR,Asc_LF
          DC.B      "       -s file(s)   send "
          DC.B      Asc_CR,Asc_LF
          DC.B      "       -r           receive"
          DC.B      Asc_CR,Asc_LF
          DC.B      "       -k           receive to terminal"
          DC.B      Asc_CR,Asc_LF
          DC.B      "     * -g file(s)   get remote file(s) from server"
          DC.B      Asc_CR,Asc_LF
          DC.B      "       -a name      alternate name, used with -s, -r, -g"
          DC.B      Asc_CR,Asc_LF
          DC.B      "     * -f           finish remote server"
          DC.B      Asc_CR,Asc_LF
          DC.B      "       -h           help - type this message"
          DC.B      Asc_CR,Asc_LF
          DC.B      "     settings --"
          DC.B      Asc_CR,Asc_LF
          DC.B      "       -l line      communication line device"
          DC.B      Asc_CR,Asc_LF
          DC.B      "       -b baud      line speed, e.g. 1200"
          DC.B      Asc_CR,Asc_LF
          DC.B      "       -i           binary file"
          DC.B      Asc_CR,Asc_LF
          DC.B      "       -p x         parity, x is one of e,o,m,s,n"
          DC.B      Asc_CR,Asc_LF
          DC.B      "       -t           line turnaround handshake = xon,"
          DC.B      " half duplex"
          DC.B      Asc_CR,Asc_LF
          DC.B      "       -w           don't write over preexisting files"
          DC.B      Asc_CR,Asc_LF
          DC.B      "       -q           be quiet during file transfer"
          DC.B      Asc_CR,Asc_LF
          DC.B      " If no command is included, enter interactive mode"
          DC.B      Asc_CR,Asc_LF,Asc_Nul

*** Strings from the K68IOFunctions module ***

FlCmdStr: DC.B      "Error reading take file",Asc_CR,Asc_LF,Asc_Nul

CnBchStr: DC.B      "^Z - Cancelling Batch ",Asc_Nul
CnFilStr: DC.B      "^X - Cancelling File ",Asc_Nul
ReSndStr: DC.B      "^R - Resending ",Asc_Nul

ScrnStr1: DC.B      "Sending ",Asc_Nul
ScrnStr2: DC.B      "Receiving ",Asc_Nul
ScrnStr3: DC.B      "as ",Asc_Nul
ScrnStr4: DC.B      " [OK]",Asc_CR,Asc_LF,Asc_Nul
ScrnStr5: DC.B      " [discarded]",Asc_CR,Asc_LF,Asc_Nul
ScrnStr6: DC.B      " [interrupted]",Asc_CR,Asc_LF,Asc_Nul
ScrnStr7: DC.B      "Skipping ",Asc_Nul

*** Strings from the K68Protocol module ***

CCndLStr: DC.B      "Can't condition line",Asc_Nul
StSpeStr: DC.B      "Sorry, you must 'set speed' first",Asc_Nul

ErFRHStr: DC.B      "Error from remote host :",Asc_CR,Asc_LF,Asc_Nul
TooMTStr: DC.B      "Too many tries, last error is ",Asc_Nul
NAKRcStr: DC.B      "'NAK packet received'",Asc_Nul
TimLEStr: DC.B      "'timeout limit expired'",Asc_Nul
GbPRcStr: DC.B      "'garbled packet received'",Asc_Nul
POuOSStr: DC.B      "'packet out of sequence'",Asc_Nul
UkUxPStr: DC.B      "Unknown or unexpected packet type",Asc_Nul

FNFStr:   DC.B      "File not found",Asc_Nul
TMFStr:   DC.B      "Too many files",Asc_Nul
NRFStr:   DC.B      "No readable file to send",Asc_Nul

FlOErStr: DC.B      "Can't open file",Asc_Nul

NoNamStr: DC.B      "NONAME",Asc_Nul
FlCrEStr: DC.B      "Can't create file",Asc_Nul

*** Strings from the K68ParserSubs module ***

PrNmStr1: DC.B      "?Invalid number specification",Asc_Nul
PrNmStr2: DC.B      "?Number out of range",Asc_Nul
PrNmStr3: DC.B      "?Number specification expected",Asc_Nul

PrKyStr1: DC.B      "?Unrecognized ",Asc_Nul
PrKyStr2: DC.B      "?Ambiguous ",Asc_Nul
PrKyStr3: DC.B      "?Missing ",Asc_Nul

PrIFStr1: DC.B     "?File not found",Asc_Nul
PrIFStr2: DC.B     "?File not readable",Asc_Nul
PrIFStr3: DC.B     "?Read permission denied",Asc_Nul
PrIFStr4: DC.B     "?No files match",Asc_Nul
PrIFStr5: DC.B     "?Too many files match",Asc_Nul

POuFStr1: DC.B     "?Wildcards not allowed",Asc_Nul
POuFStr2: DC.B     "?Write permission denied",Asc_Nul

PrErStr1: DC.B      " - ",Asc_Nul

          align                        Following code aligned on word boundary
          ends
          END
